package piy;

import java.io.Serializable;

/**
* Wraps up the alignment property, and provides the constants needed by the AlignmentLayout.
* @author David Vivash
* @version 1.0, 25/02/01
*/
public class Align implements Serializable 
{
	/** Alignment to the left hand side of the container */
	public static String LEFT	= "Left";

	/** Alignment to the right hand side of the container */
	public static String RIGHT	= "Right";

	/** Alignment to the top of the container */
	public static String TOP	= "Top";

	/** Alignment to the bottom of the container */
	public static String BOTTOM	= "Bottom";

	/** Alignment to the whole of the container, up to components at the sides */
	public static String CLIENT	= "Client";

	/** Allow absolute positioning of the component */
	public static String NONE	= "None";

	private String align = null;

	/**
	* Construct an Align object with the specified alignement set.
	* @param align the alignment to set
	*/
	public Align(String align) {
		this.align = align;
	}

	/**
	* Retrieve the alignment that has been set for this Align object.
	* @return the set alignment
	*/
	public String getAlign() {
		return align;
	}
}