package piy;

import java.util.Observer;

/**
* Monitors an application.  When the application wishes to terminate, this class will
* notify a specified observer.
* @author David Vivash
* @version 1.0, 20/4/01
*/
public class ApplicationMonitor implements Runnable 
{
	Application app = null;
	Observer o = null;

	public ApplicationMonitor(Application app, Observer o) {
		this.app = app;
		this.o = o;
	}
	
	public void run() {
		boolean running = true;
		while (running) {
			try {
				running = app.running;
				Thread.currentThread().sleep(100);
			} catch (InterruptedException e) { }
		}
		
		//Application wishes to terminate
		//notify observer
		o.update(null, null);
	}

}