package piy;

import java.io.Serializable;

/**
* Represents any boolean statement that can be evaluated to return a boolean.
* @author David Vivash
* @version 1.0, 30/04/01
*/
public abstract class BooleanComparable implements Serializable {

	private boolean negate = false;

	public abstract boolean evaluate();
	
	/**
	* Returns true if the result returned from evaluate should be negated.
	* @return the value of the negate property
	*/
	public boolean getNegate() { return negate; }

	/**
	* Set to true if the result obtained from a call to evaluate should be negated.
	* @param value the new value for the negate property
	*/
	public void setNegate(boolean value) { negate = value; }
}