package piy;

import java.io.File;
import javax.swing.ImageIcon;

/**
* Describes the Null action.  It has restricted instantiation via the 
* Singleton pattern for no other reason than it makes no sense to have
* more than one of these.
* @author David Vivash
* @version 1.0, 18/03/00
*/
public class NullDescriptor extends ActionDescriptor
{
	private static NullDescriptor instance = null;

	private NullDescriptor() { }

	public Class getDescribedClass() { return NullAction.class; }

	public String getName() { return "Null"; }

	public String getDescription() { return "Does nothing"; }

	public static NullDescriptor getInstance() {
		return (instance == null) ? instance = new NullDescriptor() : instance;
	}

	/**
	* Returns the (40x40) icon that should be displayed in the actionlist viewer window.
	* @return the (large) image of the null action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "images" + sep + "nullaction.gif");
	}

}