package piy;

import piy.usercontainer.UserPanel;
import java.io.Serializable;
import javax.swing.JFrame;
import java.awt.Color;

/**
* The only type of window that is currently allowed in a PIY-II application.  
* Each UserWindow contains a collection of UserComponents which should be 
* visible on the window.  The content pane in the user window is set up to be
* a UserPanel object.
* Note: this class is actually a _Frame_ since it has a titlebar and border etc.
* Maybe should consider renaming to UserFrame.
* @author David Vivash
* @version 1.0.1, 24/02/01
*/
public class UserWindow extends JFrame implements Serializable
{
	public UserWindow() {
		super();
		setContentPane(new UserPanel());
		getContentPane().setLayout(new AlignmentLayout());
	}

	public String getTitle() { return super.getTitle(); }
	public void setTitle(String title) { super.setTitle(title); } 

	public boolean getResizable() { return isResizable(); }
	public void setResizable(boolean val) { super.setResizable(val); }	

	public Color getBackground() { return super.getBackground(); }
	public void setBackground(Color c) { 
		super.setBackground(c); 
		getContentPane().setBackground(c);
	}

}