package piy.action;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the Change action
* @author David Vivash
* @version 1.0, 26/03/00
*/
public class ChangeDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return ChangeAction.class; }

	public String getName() { return "Change Property"; }

	public String getDescription() { return "Changes a property to a new value"; }
	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "changesmall.gif").getImage();
	}
	
	/**
	* Returns the (40x40) icon that should be displayed in the boolean expression window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "change.gif");
	}

}