package piy.action;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the Get Filename action
* @author David Vivash
* @version 1.0, 28/04/01
*/
public class GetFilenameDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return GetFilename.class; }

	public String getName() { return "Get Filename"; }

	public String getDescription() { return "Prompts the user for a filename"; }

	public String getCategory() { return "File"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "images" + sep + "open.gif").getImage();
	}
	
	/**
	* Returns the (40x40) icon that should be displayed in the actionlist viewer window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "getfilename.gif");
	}
}