package piy.action;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the If action
* @author David Vivash
* @version 1.0, 18/03/00
*/
public class IfDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return IfAction.class; }

	public String getName() { return "If"; }

	public String getDescription() { return "Conditional branching"; }

	/**
	* Returns the (40x40) icon that should be displayed in the actionlist viewer window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "if.gif");
	}

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "ifsmall.gif").getImage();
	}

}