package piy.action;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the Quit action
* @author David Vivash
* @version 1.0, 05/03/00
*/
public class QuitDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return QuitAction.class; }

	public String getName() { return "Quit"; }

	public String getDescription() { return "Quits the program"; }

	/**
	* Returns the (40x40) icon that should be displayed in the actionlist viewer window.
	* @return the (large) image of the quit
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "quit.gif");
	}

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the thing being described
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "quitsmall.gif").getImage();
	}

}