package piy.action;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the Save Text action
* @author David Vivash
* @version 1.0, 02/05/01
*/
public class SaveTextDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return SaveText.class; }

	public String getName() { return "Save Text"; }

	public String getDescription() { return "Saves text to a specified file"; }

	public String getCategory() { return "Text"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "images" + sep + "save.gif").getImage();
	}
	
	/**
	* Returns the (40x40) icon that should be displayed in the actionlist viewer window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "action" + sep + "savetext.gif");
	}
}