package piy.comparator;

import piy.*;
import java.io.Serializable;

/**
* Comparator that doesn't actually compare anything - it can just return true or false.
* @author David Vivash
* @version 1.0, 30/04/01
*/
public class ConstantComparator extends PIYComparator implements Serializable {

	private static String[] modes = new String[] {
			"Yes", "No"
		};

	public ConstantComparator() {
		super.init(this);
	}
	
	public Class getFirstType() { return void.class; }
	public Class getSecondType() { return void.class; }

	public String[] getModes() {
		return modes;
	}

	public boolean evaluate() {
		if (getMode().equalsIgnoreCase(modes[0])) {
			return true ^ getNegate();
		} else {
			return false ^ getNegate();			
		}
	}
}