package piy.comparator;

import piy.*;
import java.io.Serializable;

/**
* Compares parts of strings
* @author David Vivash
* @version 1.0, 30/04/01
*/
public class IntComparator extends PIYComparator implements Serializable {

	private static String[] modes = new String[] {
			"Less than or equal to", "Less than", "Equals", "Greater than", "Greater than or equal to"
		};

	public IntComparator() {
		super.init(this);
	}
	
	public Class getFirstType() { return int.class; }
	public Class getSecondType() { return int.class; }

	public String[] getModes() {
		return modes;
	}

	public boolean evaluate() {
		FixedProperty first = getFirst();
		FixedProperty second = getSecond();
		
		if ( (first == null) || (second == null) ) return false;
		
		Integer firstVal = (Integer)first.getActualValue();
		Integer secondVal = (Integer)second.getActualValue();
		
		if ( (firstVal == null) || (secondVal == null) ) return false;
		
		int val1 = firstVal.intValue();
		int val2 = secondVal.intValue();
		
		if (getMode().equalsIgnoreCase(modes[0])) {
			return (val1 <= val2) ^ getNegate();
		} else if (getMode().equalsIgnoreCase(modes[1])) {
			return (val1 < val2) ^ getNegate();			
		} else if (getMode().equalsIgnoreCase(modes[2])) {
			return (val1 == val2) ^ getNegate();			
		} else if (getMode().equalsIgnoreCase(modes[3])) {
			return (val1 > val2) ^ getNegate();			
		} else if (getMode().equalsIgnoreCase(modes[4])) {
			return (val1 >= val2) ^ getNegate();			
		}
		
		return false;
	}
}