package piy.comparator;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the IntComparator comparator
* @author David Vivash
* @version 1.0, 1/05/01
*/
public class IntDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return IntComparator.class; }

	public String getName() { return "Compare Numbers"; }

	public String getDescription() { return "Compares two numbers"; }

	public String getCategory() {
		return "General";
	}

	
	/**
	* Returns the (40x40) icon that should be displayed in the boolean expression window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "comparator" + sep + "compare.gif");
	}
	
	/*
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "comparator" + sep + "smallcompare.gif").getImage();
	}


	
}