package piy.comparator;

import piy.*;
import java.io.Serializable;

/**
* Compares parts of strings
* @author David Vivash
* @version 1.0, 30/04/01
*/
public class StringEqualityComparator extends PIYComparator implements Serializable {

	private static String[] modes = new String[] {
			"Equals", "Equals (ignore case)"
		};

	public StringEqualityComparator() {
		super.init(this);
	}
	
	public Class getFirstType() { return String.class; }
	public Class getSecondType() { return String.class; }

	public String[] getModes() {
		return modes;
	}

	public boolean evaluate() {
		FixedProperty first = getFirst();
		FixedProperty second = getSecond();
		
		if ( (first == null) || (second == null) ) return false;
		
		String firstVal = (String)first.getActualValue();
		String secondVal = (String)second.getActualValue();
		
		if ( (firstVal == null) || (secondVal == null) ) return false;
		
		if (getMode().equalsIgnoreCase(modes[0])) {
			return firstVal.equals(secondVal) ^ getNegate();
		} else {
			return firstVal.equalsIgnoreCase(secondVal) ^ getNegate();			
		}
	}
}