package piy.comparator;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;
import piy.ActionDescriptor;

/**
* Describes the StringEqualityComparator comparator
* @author David Vivash
* @version 1.0, 2/05/01
*/
public class StringEqualityDescriptor extends ActionDescriptor
{
	public Class getDescribedClass() { return StringEqualityComparator.class; }

	public String getName() { return "Equality"; }

	public String getDescription() { return "Checks to see if two strings (pieces of text) are the same"; }

	public String getCategory() {
		return "Text";
	}
	
	/**
	* Returns the (40x40) icon that should be displayed in the boolean expression window.
	* @return the (large) image of the if action
	*/
	public ImageIcon getBigIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "comparator" + sep + "equality.gif");
	}
	
	/*
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the if action
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "comparator" + sep + "smallequals.gif").getImage();
	}


}