package piy.listeners;

import piy.PiyEventListener;
import java.awt.event.*;
import java.awt.*;

/**
* Standard listener for component events.
* @author David Vivash
* @version 1.0, 12/02/01
*/
public class PiyComponentListener extends PiyEventListener implements ComponentListener {

	private static final String COMPONENT_HIDDEN	= "Hidden";
	private static final String COMPONENT_MOVED		= "Moved";
	private static final String COMPONENT_RESIZED	= "Resized";
	private static final String COMPONENT_SHOWN		= "Shown";

	public PiyComponentListener() { super(); }

	public static Class getSupportedClass() { return Component.class; }

	public void componentHidden(ComponentEvent e) {
		eventTriggered(COMPONENT_HIDDEN);
	}

	public void componentMoved(ComponentEvent e) {
		eventTriggered(COMPONENT_MOVED);
	}

	public void componentResized(ComponentEvent e) {
		eventTriggered(COMPONENT_RESIZED);
	}

	public void componentShown(ComponentEvent e) {
		eventTriggered(COMPONENT_SHOWN);
	}

	public String[] getEvents() {
		return new String[] {	COMPONENT_HIDDEN,
								COMPONENT_MOVED,
								COMPONENT_RESIZED,
								COMPONENT_SHOWN };
	}
	
	public String getAddListenerMethod() { return "addComponentListener"; }
	public Class getAddListenerType() { return ComponentListener.class; }
}