package piy.listeners;

import piy.PiyEventListener;
import java.awt.event.*;
import java.awt.*;

/**
* Standard listener for window events.
* @author David Vivash
* @version 1.0, 12/02/01
*/
public class PiyWindowListener extends PiyEventListener implements WindowListener {

	private static final String WINDOW_ACTIVATED	= "Activated";
	private static final String WINDOW_CLOSED		= "Closed";
	private static final String WINDOW_CLOSING		= "Closing";
	private static final String WINDOW_DEACTIVATED	= "Deactivated";
	private static final String WINDOW_DEICONIFIED	= "Deiconified";
	private static final String WINDOW_ICONIFIED	= "Iconified";
	private static final String WINDOW_OPENED		= "Opened";

	public PiyWindowListener() { super(); }

	public static Class getSupportedClass() { return Window.class; }

	public void windowActivated(WindowEvent e) {
		eventTriggered(WINDOW_ACTIVATED);
	}

	public void windowClosed(WindowEvent e) {
		eventTriggered(WINDOW_CLOSED);
	}

	public void windowClosing(WindowEvent e) {
		eventTriggered(WINDOW_CLOSING);
	}

	public void windowDeactivated(WindowEvent e) {
		eventTriggered(WINDOW_DEACTIVATED);
	}

	public void windowDeiconified(WindowEvent e) {
		eventTriggered(WINDOW_DEICONIFIED);
	}

	public void windowIconified(WindowEvent e) {
		eventTriggered(WINDOW_ICONIFIED);
	}

	public void windowOpened(WindowEvent e) {
		eventTriggered(WINDOW_OPENED);
	}

	public String[] getEvents() {
		return new String[] {	WINDOW_ACTIVATED,
								WINDOW_CLOSED,
								WINDOW_CLOSING,
								WINDOW_DEACTIVATED,
								WINDOW_DEICONIFIED,
								WINDOW_ICONIFIED,
								WINDOW_OPENED };
	}

	public String getAddListenerMethod() { return "addWindowListener"; }
	public Class getAddListenerType() { return WindowListener.class; }

}