package piy.support;

import java.awt.event.*;
import java.awt.*;
import piy.*;
import javax.swing.*;
import java.awt.Dimension;

/**
* Support for properties of Color type.
* @author David Vivash
* @version 1.0, 26/02/01
*/
public class ColorSupport extends ClassSupport implements ActionListener
{
	private Color value = null;
	private JButton button = null;
	private JPanel colorSwatch = null;

	public ColorSupport(Property property) {
		super(property);
		setLayout(new BorderLayout());

		value = (Color)property.getValue();

		colorSwatch = new JPanel() {
			public Dimension getPreferredSize() { return new Dimension(28,20); }
			public void paint(Graphics g) {
				g.setColor(getBackground());
				g.fillRect(0, 0, getSize().width, getSize().height);
				g.setColor(value);
				g.fillRoundRect(4, 4, getSize().width-8, getSize().height-8, 2, 2);
				g.setColor(Color.black);
				g.drawRoundRect(4, 4, getSize().width-8, getSize().height-8, 2, 2);
			}
		};

		button = new JButton("Select");
		button.addActionListener(this);	

		add(button, BorderLayout.CENTER);
		add(colorSwatch, BorderLayout.EAST);
	}

	public static Class getSupportedClass() { return Color.class; }

	public Dimension getMinimumSize()	{ return new Dimension(10, 20); }
	public Dimension getPreferredSize()	{ return new Dimension(100, 20); }
	public Dimension getMaximumSize()	{ return new Dimension(10000, 20); }

	//---- PropertyChangeListener method -----
	public void actionPerformed(ActionEvent e) {
		ProjectHandler.getInstance().projectChanged();
		property.setValue(value = JColorChooser.showDialog(this, "Choose Colour", value));

		colorSwatch.repaint();
	}
}