package piy.usercomponent;

import javax.swing.*;
import java.awt.*;
import piy.UserComponent;

/**
* A text area object which the user can add to their windows.
* @author David Vivash
* @version 1.0, 29/04/01
*/
public class UserTextArea extends JPanel implements UserComponent
{
	private JTextArea textArea = new JTextArea();
	private JScrollPane scrollArea = null; 

	public UserTextArea() {
		super();

		setLayout(new BorderLayout());
		scrollArea = new JScrollPane(textArea);
		add(scrollArea, BorderLayout.CENTER);
	}

	public void setSize(Dimension size) {
		super.setSize(size);
		doLayout();
		scrollArea.validate();
	}

	public void setBounds(int x, int y, int width, int height) {
		super.setBounds(x, y, width, height);
		doLayout();
		scrollArea.validate();
	}

	public String getText() { return textArea.getText(); }
	public void setText(String text) { textArea.setText(text); }

	public boolean getWordWrap() { return textArea.getLineWrap(); }
	public void setWordWrap(boolean wrap) { textArea.setLineWrap(wrap); }

	public int getTabSize() { return textArea.getTabSize(); }
	public void setTabSize(int size) { textArea.setTabSize(size); }
}